package generalidades;

import java.util.ArrayList;
import java.util.List;

/**
 * Clase que representa un objeto definido por una lista de puntos y una lista
 * de etiquetas.
 * 
 * @author Jos Manuel Ponce
 */
public class ConjuntoListas
{
	/**
	 * Lista de puntos.
	 */
	List<Integer> listaPuntos = new ArrayList<Integer>();
	
	/**
	 * Lista de etiquetas.
	 */
	List<Integer> listaEtiquetas = new ArrayList<Integer>();
	
	/**
	 * Constructor por defecto.
	 */
	public ConjuntoListas()
	{
		super();
	}
	
	/**
	 * Constructor por parmetros.
	 * 
	 * @param listPuntos
	 *            Lista de puntos
	 * @param listEtiquetas
	 *            Lista de etiquetas
	 */
	public ConjuntoListas(List<Integer> listPuntos, List<Integer> listEtiquetas)
	{
		this.listaPuntos = listPuntos;
		this.listaEtiquetas = listEtiquetas;
	}
	
	/**
	 * Obtiene el Lista de puntos.
	 * 
	 * @return listaPuntos Lista de puntos
	 */
	public List<Integer> getListaPuntos()
	{
		return listaPuntos;
	}
	
	/**
	 * Establece el Lista de puntos.
	 * 
	 * @param listaPuntos
	 *            listaPuntos Lista de puntos
	 */
	public void setListaPuntos(List<Integer> listaPuntos)
	{
		this.listaPuntos = listaPuntos;
	}
	
	/**
	 * Obtiene el Lista de etiquetas.
	 * 
	 * @return listaEtiquetas Lista de etiquetas
	 */
	public List<Integer> getListaEtiquetas()
	{
		return listaEtiquetas;
	}
	
	/**
	 * Establece el Lista de etiquetas.
	 * 
	 * @param listaEtiquetas
	 *            listaEtiquetas Lista de etiquetas
	 */
	public void setListaEtiquetas(List<Integer> listaEtiquetas)
	{
		this.listaEtiquetas = listaEtiquetas;
	}
	
}
