package lineaOblicua;

import generalidades.Utilidades;

/**
 * Clase que almacena mtodos tiles para problemas de etiquetado sobre lnea
 * oblicua.
 * 
 * @author Jos Manuel Ponce
 */
public class UtilidadesOblicua
{
	/**
	 * Mtodo que se encarga de representar grficamente el estado del
	 * etiquetado de puntos sobre una lnea oblicua.
	 * 
	 * @param espacioEtiquetas
	 *            Sombra actual del problema
	 */
	public static void representarEspacio(boolean[][] espacioEtiquetas)
	{
		int tamanyo = espacioEtiquetas.length;
		boolean[][] espacioVacio = new boolean[tamanyo][tamanyo];
		for (int i = 0; i < tamanyo; i++)
		{
			for (int j = 0; j < tamanyo; j++)
			{
				if(i==j){
					espacioVacio[i][j] = true;
				}
				else{
					espacioVacio[i][j] = false;
				}
			}
		}
		
		for (int y = tamanyo - 1; y >= 0; y--)
		{
			System.out.print(" " + Utilidades.mod10(y));
			for (int x = 0; x < tamanyo; x++)
			{
				if (espacioEtiquetas[y][x])
				{
					System.out.print(" X");
				} else
				{
					if (espacioVacio[y][x])
					{
						System.out.print(" /");
					} else
					{
						System.out.print(" ");
					}
				}
			}
			System.out.println();
		}
		System.out.print("  ");
		for (int i = 0; i < tamanyo; i++)
		{
			System.out.print(" " + Utilidades.mod10(i));
		}
		System.out.println();
	}
	
}
